<?php

use Drupal\Core\Field\BaseFieldDefinition;

/**
 * Implemens hook_post_update_NAME().
 */
function live_workspaces_post_update_live_field_install(&$sandbox) {
  $entity_definition_update_manager = \Drupal::entityDefinitionUpdateManager();
  $field_definition = BaseFieldDefinition::create('boolean')
    ->setLabel(t('Live workspace'))
    ->setDescription(t('Flag if the workspace should be accessible to the end user.'))
    ->setDisplayOptions('form', [
      'type' => 'boolean_checkbox',
      'settings' => [
        'display_label' => TRUE,
      ],
    ])
    ->setDefaultValue(FALSE)
    ->setDisplayConfigurable('form', TRUE);
  $entity_definition_update_manager->installFieldStorageDefinition('live', 'workspace', 'live_workspaces', $field_definition);

  // By default, all the current workspaces will have the flag set.
  \Drupal::database()->query('UPDATE {workspace} SET live=1')->execute();
}
